API ReferenceApplications
POST
/oauth2/v1/parRequest Body
application/json
client_id?string
Length
length <= 200client_secret?string
Length
length <= 10000response_type?string
scope?string
Length
length <= 10000redirect_uri?string
code_challenge?string
Length
length <= 5000code_challenge_method?string
state?string
Length
length <= 100000nonce?string
Length
length <= 5000dpop_jkt?string
Length
length <= 1000request?string
Length
length <= 10000request_uri?string
Length
length <= 200project_id?string
client_assertion?string
Length
length <= 10000client_assertion_type?string
Length
length <= 200ssoAppId?string
Length
length <= 100Pushed Authorization Request endpoint for federated OIDC apps (RFC 9126).
curl -X POST "https://api.descope.com/oauth2/v1/par" \ -H "Content-Type: application/json" \ -d '{}'{ "request_uri": "string", "expires_in": 0}export interface Response {request_uri?: stringexpires_in?: number} Was this helpful?